package com.goafanti.order.bo;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;

public class InputProjectStop {


    private String ids;
    @Param(name="类型")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private Integer type;
    @Param(name="原因")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String reason;
    @Param(name="附件")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String annexUrl;

    private Long stopId;


    public Long getStopId() {
        return stopId;
    }

    public void setStopId(Long stopId) {
        this.stopId = stopId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }



    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }
}
